> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilityworkflowsummary

> Retrieves a summary of workflow observability



## OpenAPI

````yaml /swagger.json get /admin/observability/workflow/summary
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /admin/observability/workflow/summary:
    get:
      tags:
        - admin
        - observability
      description: Retrieves a summary of workflow observability
      parameters:
        - schema:
            type: array
            items:
              type: string
          required: false
          name: workflowIds
          in: path
        - schema:
            type: object
            properties:
              start:
                type: string
              end:
                type: string
            required:
              - start
              - end
          required: false
          name: timeRange
          in: path
        - schema:
            type: string
            enum:
              - 30m
              - 1h
              - 6h
              - 1d
              - 3d
              - 7d
              - 30d
          required: false
          name: relativeTime
          in: path
        - schema:
            type: boolean
          required: false
          name: isActive
          in: path
        - schema:
            type: array
            items:
              type: string
          required: false
          name: baseIds
          in: path
        - schema:
            type: array
            items:
              type: string
          required: false
          name: spaceIds
          in: path
        - schema:
            type: array
            items:
              type: string
              enum:
                - recordCreated
                - recordUpdated
                - recordCreatedOrUpdated
                - recordMatchesConditions
                - buttonClick
                - formSubmitted
                - scheduledTime
                - webhook
          required: false
          name: triggerType
          in: path
      responses:
        '200':
          description: Returns a summary of workflow observability
          content:
            application/json:
              schema:
                type: object
                properties:
                  workflow:
                    type: object
                    properties:
                      activeCount:
                        type: number
                      totalCount:
                        type: number
                    required:
                      - activeCount
                      - totalCount
                  workflowRuns:
                    type: object
                    properties:
                      totalCount:
                        type: number
                      statusStats:
                        type: object
                        properties:
                          pending:
                            type: number
                          running:
                            type: number
                          success:
                            type: number
                          failed:
                            type: number
                          canceled:
                            type: number
                        required:
                          - pending
                          - running
                          - success
                          - failed
                          - canceled
                      levelStats:
                        type: object
                        properties:
                          critical:
                            type: number
                          warning:
                            type: number
                          healthy:
                            type: number
                        required:
                          - critical
                          - warning
                          - healthy
                    required:
                      - totalCount
                      - statusStats
                      - levelStats
                required:
                  - workflow
                  - workflowRuns
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url https://app.teable.ai/api/admin/observability/workflow/summary \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/workflow/summary';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/workflow/summary',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET", "/api/admin/observability/workflow/summary",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````